SoaS on the XO progress

Sebastian Dziallas sebastian at
Sat Jan 24 17:43:43 EST 2009

Marco Pesenti Gritti wrote:
> On Sat, Jan 24, 2009 at 2:12 AM, Marco Pesenti Gritti
> <marcopg at> wrote:
>> On Fri, Jan 23, 2009 at 10:41 PM, Chris Ball <cjb at> wrote:
>>> D'oh, I think OLPC asked Warren to push that X driver update, and it
>>> sounds like we didn't test it properly.  Is there a good way to select
>>> which version of an RPM to use in kickstart, maybe?
>> Which package are you referring to here exactly? I'm confused because
>> F10 and rawhide seem to have the same versions of X packages, and
>> joyride works but F10 doesn't.
> Hm, reverting from 2.11 to 2.10 actually fixes it. So I don't get why
> 2.11 works in joyride.
> Marco

I just wanted to add that it's possible to select a specific version in 
a kickstart file. Though, as far as I know, it's a revisor-only feature.

You can run revisor and add the --kickstart-exact-nevra option then:

Force Revisor to interpret the package manifest as complete package 
nevra (name, epoch, version, release and architecture).
Implies --kickstart-exact

'yum install revisor' should do the trick [1]. ;)



More information about the Devel mailing list